Bug 1732179 - Update 5.9.9 container images for vim CVE
Summary: Update 5.9.9 container images for vim CVE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: cfme-openshift-app
Version: 5.9.9
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.9.z
Assignee: Satoe Imaishi
QA Contact: juwatts
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 22:01 UTC by Satoe Imaishi
Modified: 2019-07-29 06:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-29 06:46:30 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1870 None None None 2019-07-29 06:46:30 UTC

Description Satoe Imaishi 2019-07-22 22:01:03 UTC
Tracker bug for updated 5.9.9 container images to include the latest vim package (RHSA-2019:1619).

Comment 3 juwatts 2019-07-24 15:39:07 UTC
Successfully deployed podified CFME 

[root@epacific-ocp-master-v3 5_9_9_3]# oc get pods
NAME                                READY     STATUS    RESTARTS   AGE
ansible-1-sxtlb                     1/1       Running   1          28m
cloudforms-0                        1/1       Running   0          41m
httpd-1-n4hgl                       1/1       Running   0          41m
httpd-configmap-generator-1-mwrb9   1/1       Running   0          29m
memcached-1-zttbv                   1/1       Running   0          41m
postgresql-1-d59gp                  1/1       Running   0          41m
[root@epacific-ocp-master-v3 5_9_9_3]# oc rsh cloudforms-0
sh-4.2# cat BUILD
5.9.9.3-20190503150855_af8378f
sh-4.2# exit
exit
[root@epacific-ocp-master-v3 5_9_9_3]# oc rsh httpd-configmap-generator-1-mwrb9
sh-4.2# httpd_configmap_generator --help
httpd_configmap_generator 0.2.2 - External Authentication Configuration script

Usage: httpd_configmap_generator auth_type | update | export [--help | options]

supported auth_type: active-directory, ipa, ldap, saml

httpd_configmap_generator options are:
  -V, --version    Version of the httpd_configmap_generator command
  -h, --help       Show this message
sh-4.2# 

Verified latest VIM package has been picked up:
[root@epacific-ocp-master-v3 5_9_9_3]# oc rsh cloudforms-0
sh-4.2# rpm -qa | grep vim
vim-minimal-7.4.160-6.el7_6.x86_64
sh-4.2# exit
exit
[root@epacific-ocp-master-v3 5_9_9_3]# oc rsh httpd-configmap-generator-1-mwrb9
sh-4.2# rpm -qa | grep vim
vim-minimal-7.4.160-6.el7_6.x86_64
sh-4.2# exit
exit
[root@epacific-ocp-master-v3 5_9_9_3]# oc rsh httpd-1-n4hgl
sh-4.2# rpm -qa | grep vim
vim-minimal-7.4.160-6.el7_6.x86_64
sh-4.2# exit
exit
[root@epacific-ocp-master-v3 5_9_9_3]# oc rsh ansible-1-sxtlb
sh-4.2# rpm -qa | grep vim
vim-minimal-7.4.160-6.el7_6.x86_64
sh-4.2# exit
exit
[root@epacific-ocp-master-v3 5_9_9_3]# oc rsh memcached-1-zttbv
sh-4.2$ rpm -qa | grep vim
vim-minimal-7.4.160-6.el7_6.x86_64
sh-4.2$ exit
exit
[root@epacific-ocp-master-v3 5_9_9_3]# oc rsh postgresql-1-d59gp
sh-4.2$ rpm -qa | grep vim
vim-minimal-7.4.160-6.el7_6.x86_64
sh-4.2$

Comment 5 errata-xmlrpc 2019-07-29 06:46:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1870


Note You need to log in before you can comment on or make changes to this bug.